import { jsx } from "react/jsx-runtime";
import { createContext, useContext } from "react";
const DataSourceManagerContext = /*#__PURE__*/ createContext(null);
DataSourceManagerContext.displayName = 'DataSourceManagerContext';
const DataSourceManagerProvider = (param)=>{
    let { children, dataSourceManager } = param;
    return /*#__PURE__*/ jsx(DataSourceManagerContext.Provider, {
        value: dataSourceManager,
        children: children
    });
};
function useDataSourceManager() {
    const context = useContext(DataSourceManagerContext);
    return context;
}
export { DataSourceManagerContext, DataSourceManagerProvider, useDataSourceManager };
